OpenShot Audio Library | OpenShotAudio: juce::StringPairArray Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::StringPairArray Class Reference

`#include <juce_StringPairArray.h>`

## Public Member Functions
| StringPairArray (bool ignoreCaseWhenComparingKeys=true)
| StringPairArray (const StringPairArray &other)
| ~StringPairArray ()
StringPairArray & | operator= (const StringPairArray &other)
bool | operator== (const StringPairArray &other) const
bool | operator!= (const StringPairArray &other) const
const String & | operator[] (StringRef key) const
String | getValue (StringRef, const String &defaultReturnValue) const
bool | containsKey (StringRef key) const noexcept
const StringArray & | getAllKeys () const noexcept
const StringArray & | getAllValues () const noexcept
int | size () const noexcept
void | set (const String &key, const String &value)
void | addArray (const StringPairArray &other)
void | clear ()
void | remove (StringRef key)
void | remove (int index)
void | setIgnoresCase (bool shouldIgnoreCase)
String | getDescription () const
void | minimiseStorageOverheads ()

## Detailed Description

A container for holding a set of strings which are keyed by another string.

See also
  StringArray

Definition at line 34 of file juce_StringPairArray.h.

## Constructor & Destructor Documentation

## ◆ StringPairArray() [1/2]

juce::StringPairArray::StringPairArray | ( | bool | ignoreCaseWhenComparingKeys = `true` | ) |

Creates an empty array

Definition at line 26 of file juce_StringPairArray.cpp.

## ◆ StringPairArray() [2/2]

juce::StringPairArray::StringPairArray | ( | const StringPairArray & | other | ) |

Creates a copy of another array

Definition at line 30 of file juce_StringPairArray.cpp.

## ◆ ~StringPairArray()

juce::StringPairArray::~StringPairArray | ( |  | ) |

Destructor.

Definition at line 37 of file juce_StringPairArray.cpp.

## Member Function Documentation

## ◆ addArray()

void juce::StringPairArray::addArray | ( | const StringPairArray & | other | ) |

Adds the items from another array to this one. This is equivalent to using set() to add each of the pairs from the other array.

Definition at line 120 of file juce_StringPairArray.cpp.

Referenced by juce::LocalisedStrings::addStrings().

## ◆ clear()

void juce::StringPairArray::clear | ( |  | ) |

Removes all elements from the array.

Definition at line 126 of file juce_StringPairArray.cpp.

Referenced by juce::PropertySet::clear().

## ◆ containsKey()

bool juce::StringPairArray::containsKey | ( | StringRef | key | ) | const
| noexcept

Returns true if the given key exists.

Definition at line 100 of file juce_StringPairArray.cpp.

Referenced by juce::LocalisedStrings::translate().

## ◆ getAllKeys()

const StringArray & juce::StringPairArray::getAllKeys | ( |  | ) | const
| inlinenoexcept

Returns a list of all keys in the array.

Definition at line 87 of file juce_StringPairArray.h.

Referenced by juce::PropertySet::addAllPropertiesFrom(), juce::PropertySet::createXml(), juce::PropertySet::removeValue(), juce::PropertySet::setValue(), and juce::URL::withParameters().

## ◆ getAllValues()

const StringArray & juce::StringPairArray::getAllValues | ( |  | ) | const
| inlinenoexcept

Returns a list of all values in the array.

Definition at line 90 of file juce_StringPairArray.h.

Referenced by juce::PropertySet::addAllPropertiesFrom(), juce::PropertySet::createXml(), juce::PropertySet::setValue(), and juce::URL::withParameters().

## ◆ getDescription()

String juce::StringPairArray::getDescription | ( |  | ) | const

Returns a descriptive string containing the items. This is handy for dumping the contents of an array.

Definition at line 148 of file juce_StringPairArray.cpp.

## ◆ getValue()

String juce::StringPairArray::getValue | ( | StringRef | key,
|  | const String & | defaultReturnValue
| ) |  | const

Finds the value corresponding to a key string. If no such key is found, this will just return the value provided as a default.

See also
  operator[]

Definition at line 90 of file juce_StringPairArray.cpp.

Referenced by juce::LocalisedStrings::translate().

## ◆ minimiseStorageOverheads()

void juce::StringPairArray::minimiseStorageOverheads | ( |  | ) |

Reduces the amount of storage being used by the array.

Arrays typically allocate slightly more storage than they need, and after removing elements, they may have quite a lot of unused space allocated. This method will reduce the amount of allocated storage to a minimum.

Definition at line 163 of file juce_StringPairArray.cpp.

## ◆ operator!=()

bool juce::StringPairArray::operator!= | ( | const StringPairArray & | other | ) | const

Compares two arrays. Comparisons are case-sensitive.

Returns
  false if the other array contains exactly the same strings with the same keys

Definition at line 80 of file juce_StringPairArray.cpp.

## ◆ operator=()

StringPairArray & juce::StringPairArray::operator= | ( | const StringPairArray & | other | ) |

Copies the contents of another string array into this one

Definition at line 41 of file juce_StringPairArray.cpp.

## ◆ operator==()

bool juce::StringPairArray::operator== | ( | const StringPairArray & | other | ) | const

Compares two arrays. Comparisons are case-sensitive.

Returns
  true only if the other array contains exactly the same strings with the same keys

Definition at line 48 of file juce_StringPairArray.cpp.

Referenced by operator!=().

## ◆ operator[]()

const String & juce::StringPairArray::operator[] | ( | StringRef | key | ) | const

Finds the value corresponding to a key string.

If no such key is found, this will just return an empty string. To check whether a given key actually exists (because it might actually be paired with an empty string), use the getAllKeys() method to obtain a list.

Obviously the reference returned shouldn't be stored for later use, as the string it refers to may disappear when the array changes.

See also
  getValue

Definition at line 85 of file juce_StringPairArray.cpp.

## ◆ remove() [1/2]

void juce::StringPairArray::remove | ( | int | index | ) |

Removes a string from the array based on its index. If the index is out-of-range, no action will be taken.

Definition at line 137 of file juce_StringPairArray.cpp.

## ◆ remove() [2/2]

void juce::StringPairArray::remove | ( | StringRef | key | ) |

Removes a string from the array based on its key. If the key isn't found, nothing will happen.

Definition at line 132 of file juce_StringPairArray.cpp.

Referenced by remove(), and juce::PropertySet::removeValue().

## ◆ set()

void juce::StringPairArray::set | ( | const String & | key,
|  | const String & | value
| ) |  |

Adds or amends a key/value pair. If a value already exists with this key, its value will be overwritten, otherwise the key/value pair will be added to the array.

Definition at line 105 of file juce_StringPairArray.cpp.

Referenced by addArray(), juce::WavAudioFormat::createBWAVMetadata(), juce::PropertySet::restoreFromXml(), and juce::PropertySet::setValue().

## ◆ setIgnoresCase()

void juce::StringPairArray::setIgnoresCase | ( | bool | shouldIgnoreCase | ) |

Indicates whether to use a case-insensitive search when looking up a key string.

Definition at line 143 of file juce_StringPairArray.cpp.

## ◆ size()

int juce::StringPairArray::size | ( |  | ) | const
| inlinenoexcept

Returns the number of strings in the array

Definition at line 93 of file juce_StringPairArray.h.

Referenced by juce::PropertySet::addAllPropertiesFrom(), addArray(), juce::PropertySet::clear(), operator==(), juce::PropertySet::restoreFromXml(), and juce::URL::withParameters().

The documentation for this class was generated from the following files:

- juce_StringPairArray.h
- juce_StringPairArray.cpp